import { ListrBaseClassOptions, ListrSubClassOptions } from 'listr2';
import { WorkerPoolOptions } from 'workerpool';
import { WorkersListrTask } from '../../interfaces/workerslistr.interface';
export declare class WorkersListr {
    private tasks;
    private pool;
    constructor(workerFile: string, poolOptions?: WorkerPoolOptions, listrOptions?: ListrBaseClassOptions);
    add(tasks: WorkersListrTask[], options?: ListrSubClassOptions): this;
    run(): Promise<void>;
    private getListrTask;
    private getTaskMethod;
}
